Get Agent Version
curl --request GET \
--url https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}/versions/{version_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}/versions/{version_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}/versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version_id": "e852cf2b-e1dc-4947-85ce-93edc7b885ee",
"agent_id": "683f4657fcc016e56d66dbe8",
"name": "My Custom Agent v1.2",
"created_at": "2025-06-01T12:00:00.000Z",
"metadata": {
"use_case": "Customer Support",
"status": "active"
}
}Agents
Get Agent Version
Retrieve a specific version of an agent using agent ID and version ID.
GET
/
agents
/
{agent_id}
/
versions
/
{version_id}
Get Agent Version
Authorizations
Path Parameters
The ID of the agent
Example:
"683f4657fcc016e56d66dbe8"
The ID of the agent version
Example:
"e852cf2b-e1dc-4947-85ce-93edc7b885ee"
Response
Agent version retrieved successfully
⌘I